Subject: [Rfc-markdown] FYI - a Docker container to use mmark to write RFCs

From: Dan York <[email-masked]>
Date: Mon, 29 Aug 2016 12:35:59 +0000

Purely FYI, I noticed that Paul Jones recently added instructions to the README on Miek's mmark page ( https://github.com/miekg/mmark ) about using mmark via a Docker container.  This points over to his rfctools repo on Github that supports both mmark and xml2frc:

https://github.com/paulej/rfctools

and to an available Docker container available on Docker Hub:

https://hub.docker.com/r/paulej/rfctools/

I also see reference to a Makefile that is set up so that all you have to do is enter in the draft name and it will do all the necessary commands to make the draft into an I-D.

I point this out in case this is of interest to others - and also because this seems like the kind of thing that with a good tutorial could be a good entry point into easily helping people write RFCs in markdown.

Very cool work by Paul,
Dan

--
Dan York
Senior Content Strategist, Internet Society
[email-masked]<mailto:[email-masked]>   +1-802-735-1624
Jabber: [email-masked]<mailto:[email-masked]>
Skype: danyork   http://twitter.com/danyork

http://www.internetsociety.org/